$(document).ready(function() {



// Aby se při vyhledávání a přenášení zobrazovalo pole vždy vedle 

$('.js-drag-drop__wrapper--search').each(function() {
	var id = $(this).data('js-drag-drop');
	console.log(id);
	if($('.js-drag-drop__wrapper--in[data-js-drag-drop="'+id+'"]').length > 0) {
		var $search = $(this);
		var $in = $('.js-drag-drop__wrapper--in[data-js-drag-drop="'+id+'"]');

		var top_c = $in.offset().top - $('.header').outerHeight();
		var bottom_c = $in.offset().top + $in.height() - $search.height();
		var left_c = $search.offset().left;
		var width_c = $search.outerWidth();

		$(window).resize(function() {
			top_c = $in.offset().top;
			vbottom_c = $in.offset().top + $in.height() - $search.height();
			left_c = $search.offset().left;
			width_c = $search.outerWidth();
		});

		$(window).scroll(function() {
			var scrolled = $(window).scrollTop();
			if(scrolled > top_c && scrolled < bottom_c) {
				$search.css({position: 'fixed', left: left_c + 'px', top: $('.header').outerHeight() + 'px', width: width_c});
			}else {
				$search.removeAttr('style');
			}
		});


	}
});


});